|  | Home · All Classes · Modules

# QStyleOptionSpinBox Class Reference
[QtGui module]

The QStyleOptionSpinBox class is used to describe the parameters necessary for drawing a spin box. More...

Inherits QStyleOptionComplex.

### Types

- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }

### Methods

- __init__ (self)
- __init__ (self, QStyleOptionSpinBox)

### Members

- QAbstractSpinBox.ButtonSymbols buttonSymbols
- bool frame
- QAbstractSpinBox.StepEnabled stepEnabled

## Detailed Description

The QStyleOptionSpinBox class is used to describe the parameters necessary for drawing a spin box.

QStyleOptionSpinBox contains all the information that QStyle functions need to draw QSpinBox and QDateTimeEdit.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOption and QStyleOptionComplex.

## Type Documentation

### QStyleOptionSpinBox.StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionSpinBox.Type` | `SO_SpinBox` | The type of style option provided (SO_SpinBox for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### QStyleOptionSpinBox.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionSpinBox.Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleOptionSpinBox.__init__ (self)

Constructs a QStyleOptionSpinBox, initializing the members variables to their default values.

### QStyleOptionSpinBox.__init__ (self, QStyleOptionSpinBox)

Constructs a copy of the other style option.

## Member Documentation

### QAbstractSpinBox.ButtonSymbols buttonSymbols

This variable holds the type of button symbols to draw for the spin box.

The default value is QAbstractSpinBox.UpDownArrows specufying little arrows in the classic style.

See also QAbstractSpinBox.ButtonSymbols.

### bool frame

This variable holds whether the spin box has a frame.

The default value is false, i.e. the spin box has no frame.

### QAbstractSpinBox.StepEnabled stepEnabled

This variable holds which buttons of the spin box that are enabled.

The default value is QAbstractSpinBox.StepNone.

See also QAbstractSpinBox.StepEnabled.